import { ComponentInterface } from '../../stencil-public-runtime';
import '@firebase/auth';
export declare class FirebaseSignIn implements ComponentInterface {
  config: Record<string, string>;
  signInSuccess: (credentials: {
    uid: string | undefined;
    githubAccessToken: string | undefined;
  } | undefined) => void;
  componentDidLoad(): Promise<void>;
  disconnectedCallback(): Promise<void>;
  setupFirebaseUI(): Promise<void>;
  private signInSuccessWithAuthResult;
  private getGithubAccessToken;
  render(): any;
}
